//zad3
#include <bits/stdc++.h>
using namespace std;

const int maxn = 100000 + 3;
int n, res = 0;
pair<int, int> p[maxn];

int abs(int a){
    if(a < 0) return -a;
    else return a;
}

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    cin >> n;

    for(int i=0;i<n;i++){
        cin >> p[i].first >> p[i].second;
    }

    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
            int x = abs(p[i].first - p[j].first), y = abs(p[i].second - p[j].second);
            res = res + x * x + y * y;
        }
    }

    cout << res;

    return 0;
}
